package kjava.awt;


public class Button extends Component{
    String label;
    int DX=4,DY=4; // Abstand
    javax.microedition.lcdui.Image bim=null; 
   

    public Button(String label){
        this.label = label;
        if(label.endsWith(".png")){ // Image label
            try{
                 bim  = javax.microedition.lcdui.Image.createImage("/"+label);
                 width = bim.getWidth()+2*DX;
                 height = bim.getHeight()+2*DY;
             }catch(Exception e){} 
        }else{
            javax.microedition.lcdui.Font f = 
                              javax.microedition.lcdui.Font.getFont(
                                  javax.microedition.lcdui.Font.FACE_SYSTEM,
                                  javax.microedition.lcdui.Font.STYLE_PLAIN,
                                  javax.microedition.lcdui.Font.SIZE_SMALL);
            width = f.stringWidth(label) + 10 + 4 + 2*DX;
            height = f.getHeight() + 10 +2*DY;
        }
   }

   public Event getClickEvent(int x, int y){
        if( x>DX && x<width-DX && y>DY && y<height-DY ){
            Event e = new Event();
            e.id = Event.ACTION_EVENT;
            e.arg = label;
            return e;
        }else
            return null;
   }

   public void paint(javax.microedition.lcdui.Graphics g){
        if(bim !=null){
            g.drawImage(bim,DX,DY,g.TOP|g.LEFT);
            return;
        }
        int c1 = Color.color(223,223,223),
            c2 = Color.color(192,192,192),
            c3 = Color.color(128,128,128);
 
        g.setColor(Color.white);
        g.drawLine(DX,DY,width-DX-1,DY);
        g.drawLine(DX,DY,DX,height-DY-1);
        g.setColor(c1);
        g.drawLine(DX+1,DY+1,width-DX-2,DY+1);
        g.drawLine(DX+1,DY+1,DX+1,height-DY-2);
        g.setColor(Color.black);
        g.drawLine(width-DX-1,DY,width-DX-1,height-DY-1);
        g.drawLine(DX,height-DY-1,width-DX-1,height-DY-1);
        g.setColor(c3);
        g.drawLine(width-DX-2,DY+1,width-DX-2,height-DY-2);
        g.drawLine(DX+1,height-DY-2,width-DX-2,height-DY-2);
        g.setColor(c2);
        g.fillRect(DX+2,DY+2,width-2*DX-4, height-2*DY-4);
        g.setColor(Color.black);
        g.drawString(label,DX+7,DY+4,g.TOP|g.LEFT);
   }
}

        
