package kjava.io;

import java.io.*;

public class BufferedReader{
   InputStreamReader f;
   
   public BufferedReader(InputStreamReader f) {
      this.f = f;
   }

   public BufferedReader(FileReader f) {
      this.f = new InputStreamReader(f);
   }

   
   public String readLine() throws IOException{
       StringBuffer sb = new StringBuffer();
       int c;
       // Skip leading newlines
       while( (c=f.read()) != -1 && (c=='\n' || c=='\r') );
       if(c==-1) return null;
       sb.append((char)c);
       while( (c=f.read()) != -1 && c!='\n' && c!='\r' )
            sb.append((char)c);
			
       return sb.toString();
   }

   public void close() throws IOException{
       f.close();
   }

}

