package kjava.awt;

import javax.microedition.lcdui.*;
import jsystem.*;



public class TextField extends Component implements CommandListener{
   int DX=4,DY=2; // Abstand
   String text;
   static final Command okCmd       = new Command("OK", Command.OK, 1);
   static final Command cancelCmd   = new Command("Cancel", Command.OK, 1);
 
   private TextBox textedit;


   public TextField(String s, int nchar){
       this.text = s;
       javax.microedition.lcdui.Font f = 
                javax.microedition.lcdui.Font.getFont(
                      javax.microedition.lcdui.Font.FACE_SYSTEM,
                      javax.microedition.lcdui.Font.STYLE_PLAIN,
                      javax.microedition.lcdui.Font.SIZE_SMALL);
       width = nchar * f.charWidth('e') + 6 + 2*DX;
       height   = 17+3+2*DY;
   }

   public String getText(){
       return text;
   }
   public void setText(String s){
       this.text = s;
       repaint();
   }

   public void paint(javax.microedition.lcdui.Graphics g){
        int c1 = Color.color(223,223,223),
            c2 = Color.color(192,192,192),
            c3 = Color.color(128,128,128);

        g.setColor(c3);
        g.drawLine(DX,DY,width-DX-1,DY);
        g.drawLine(DX,DY,DX,height-DY-1);
        g.setColor(Color.black);
        g.drawLine(DX+1,DY+1,width-DX-2,DY+1);
        g.drawLine(DX+1,DY+1,DX+1,height-DY-2);
        g.setColor(c1);
        g.drawLine(DX+1,height-DY-1,width-DX-1,height-DY-1);
        g.drawLine(width-DX-1,DY+1,width-DX-1,height-DY-1);
        g.setColor(Color.white);
        g.fillRect(DX+2, DY+2,width-(3 + 2*DX),height-2*DY-3);
        g.setColor(Color.black);
        int xc = g.getClipX(), yc = g.getClipY(), wc = g.getClipWidth(), hc = g.getClipHeight();
        g.clipRect(0,0,width-DX,height);
        g.drawString(text, DX+2+3, DY, g.TOP|g.LEFT);
        g.setClip(xc,yc,wc,hc);
   }

   public Event getClickEvent(int x, int y){
        if( x>DX && x<width-DX && y>DY && y<height-DY ){
			editText();
        }
        return null;
   }
   
   public void editText(){
            textedit = new TextBox("Edit",text,2024,javax.microedition.lcdui.TextField.ANY);
            textedit.addCommand(okCmd);
            textedit.addCommand(cancelCmd);
            textedit.setCommandListener(this);
            JSystem.display.setCurrent(textedit);
	}   

  public void commandAction(Command c,
                          Displayable d){
     if (d == textedit ){
         if( c == okCmd) {
             setText(textedit.getString());
             JSystem.showDesktop();
         }else if(c==cancelCmd){
             JSystem.showDesktop();
         }
     }
  }
        


}

        
